package com.framework.mvvm.model.db.dao

import androidx.room.*
import com.framework.mvvm.model.db.entity.dict.InfoEntity
import com.framework.mvvm.model.db.entity.task.FileEntity

/**
 * 表 info dao
 */
@Dao
interface InfoDao {
    @Query("select * from info")
    suspend fun getInfos(): List<InfoEntity>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insInfo(vararg info: InfoEntity)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insInfos(infos: List<InfoEntity>)

    @Update
    suspend fun updateInfo(vararg info: InfoEntity)

    @Query("select * from info where class_code = :classCode and code = :code")
    suspend fun getInfoByClassCodeAndCode(classCode: String, code: String): InfoEntity

}